Skip to content
FLORA DocsGo to app

Get a technique run

GET/techniques/{techniqueId}/runs/{runId}

Returns status, progress, outputs, and error details for a technique run when it is accessible to the authenticated public API key.

Path ParametersExpand Collapse
techniqueId: string

Technique identifier or slug

minLength1
runId: string

Run identifier

ReturnsExpand Collapse
createdAt: number
progress: number
runId: string

Run identifier

status: "pending" or "running" or "completed" or "failed"
One of the following:
"pending"
"running"
"completed"
"failed"
chargedCost: optional number
completedAt: optional number
errorCode: optional string

Machine-readable run error code

errorMessage: optional string

Human-readable run error message

outputs: optional array of object { outputId, type, url }
outputId: string

Run output identifier

type: "imageUrl" or "videoUrl" or "audioUrl" or 2 more

Run output media type

One of the following:
"imageUrl"
"videoUrl"
"audioUrl"
"text"
"documentUrl"
url: string

Run output URL

formaturi
pollUrl: optional string
formaturi
startedAt: optional number

Get a technique run

curl https://app.flora.ai/api/v1/techniques/$TECHNIQUE_ID/runs/$RUN_ID \
    -H "Authorization: Bearer $FLORA_API_KEY"
{
  "createdAt": 0,
  "progress": 0,
  "runId": "run_abc123",
  "status": "pending",
  "chargedCost": 0,
  "completedAt": 0,
  "errorCode": "provider_error",
  "errorMessage": "The provider failed to complete the generation.",
  "outputs": [
    {
      "outputId": "output_1",
      "type": "imageUrl",
      "url": "https://media.flora.ai/output.png"
    }
  ],
  "pollUrl": "https://example.com",
  "startedAt": 0
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}
Returns Examples
{
  "createdAt": 0,
  "progress": 0,
  "runId": "run_abc123",
  "status": "pending",
  "chargedCost": 0,
  "completedAt": 0,
  "errorCode": "provider_error",
  "errorMessage": "The provider failed to complete the generation.",
  "outputs": [
    {
      "outputId": "output_1",
      "type": "imageUrl",
      "url": "https://media.flora.ai/output.png"
    }
  ],
  "pollUrl": "https://example.com",
  "startedAt": 0
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}